<div class="content-wrapper">
    <div class="inner-container container">
        <div class="row">
            <div class="section-header col-md-12">
                <h2>Update your car details</h2>
            </div>
        </div>

        <div class="base-form">
            <div class="box-content col-md-12">
                <div class="row">
                    <div class="col-md-7">
                        <h3 class="contact-title">Complete the car details</h3>
                        <div class="base-form-inner">
                            <%= simple_form_for @car, html: {id: "edit_car_form"} do |f| %>
                                <fieldset>
                                    <legend>General specs</legend>
                                    <p>
                                        <%= f.label :brand, 'Brand' %>
                                        <%= f.text_field :brand %>
                                        <%= f.error :brand %>
                                    </p>
                                    <p>
                                        <%= f.label :model, 'Model' %>
                                        <%= f.text_field :model %>
                                        <%= f.error :model %>
                                    </p>
                                    <p>
                                        <%= f.label :description, 'Description' %>
                                        <%= f.text_area :description %>
                                        <%= f.error :description %>
                                    </p>
                                    <p>
                                        <%= f.label :body_type, 'Body type' %>
                                        <%= f.text_field :body_type %>
                                        <%= f.error :body_type %>
                                    </p>
                                    <p>
                                        <%= f.label :seats, 'Seats' %>
                                        <%= f.select :seats, Car.seats %>
                                        <%= f.error :seats %>
                                    </p>
                                    <p>
                                        <%= f.label :doors, 'Doors' %>
                                        <%= f.select :doors, Car.doors %>
                                        <%= f.error :doors %>
                                    </p>
                                </fieldset>
                                <fieldset>
                                    <legend>Performance specs</legend>
                                    <p>
                                        <%= f.label :fuel_consumption_urban, 'Fuel consumption in urban area' %>
                                        <%= f.text_field :fuel_consumption_urban %>
                                        <%= f.error :fuel_consumption_urban %>
                                    </p>
                                    <p>
                                        <%= f.label :fuel_consumption_extra_urban, 'Fuel consumption in extra urban area' %>
                                        <%= f.text_field :fuel_consumption_extra_urban %>
                                        <%= f.error :fuel_consumption_extra_urban %>
                                    </p>
                                    <p>
                                        <%= f.label :fuel_type, 'Fuel type' %>
                                        <%= f.select :fuel_type, Car.fuel_type %>
                                        <%= f.error :fuel_type %>
                                    </p>
                                    <p>
                                        <%= f.label :acceleration, 'Acceleration' %>
                                        <%= f.text_field :acceleration %>
                                        <%= f.error :acceleration %>
                                    </p>
                                    <p>
                                        <%= f.label :maximum_speed, 'Maximum_speed' %>
                                        <%= f.text_field :maximum_speed %>
                                        <%= f.error :maximum_speed %>
                                    </p>
                                </fieldset>
                                <fieldset>
                                    <legend>Engine specs</legend>
                                    <p>
                                        <%= f.label :power, 'Power' %>
                                        <%= f.text_field :power %>
                                        <%= f.error :power %>
                                    </p>
                                    <p>
                                        <%= f.label :engine_displacement, 'Engine displacement' %>
                                        <%= f.text_field :engine_displacement %>
                                        <%= f.error :engine_displacement %>
                                    </p>
                                </fieldset>
                                <fieldset>
                                    <legend>Space, volume and weights</legend>
                                    <p>
                                        <%= f.label :trunk_space_min, 'Trunk space min' %>
                                        <%= f.text_field :trunk_space_min %>
                                        <%= f.error :trunk_space_min %>
                                    </p>
                                    <p>
                                        <%= f.label :trunk_space_max, 'Trunk space max' %>
                                        <%= f.text_field :trunk_space_max %>
                                        <%= f.error :trunk_space_max %>
                                    </p>
                                    <p>
                                        <%= f.label :fuel_tank_capacity, 'Fuel tank capacity' %>
                                        <%= f.text_field :fuel_tank_capacity %>
                                        <%= f.error :fuel_tank_capacity %>
                                    </p>
                                </fieldset>
                                <fieldset>
                                    <legend>Dimensions</legend>
                                    <p>
                                        <%= f.label :length, 'Length' %>
                                        <%= f.text_field :length %>
                                        <%= f.error :length %>
                                    </p>
                                    <p>
                                        <%= f.label :width, 'Width' %>
                                        <%= f.text_field :width %>
                                        <%= f.error :width %>
                                    </p>
                                    <p>
                                        <%= f.label :height, 'Height' %>
                                        <%= f.text_field :height %>
                                        <%= f.error :height %>
                                    </p>
                                </fieldset>
                                <fieldset>
                                    <legend>Drivetrain</legend>
                                    <p>
                                        <%= f.label :drivetrain, 'Drive train' %>
                                        <%= f.select :drivetrain, Car.drivetrain %>
                                        <%= f.error :drivetrain %>
                                    </p>
                                    <p>
                                        <%= f.label :photo, 'Photo' %>
                                        <%= f.text_field :photo %>
                                        <%= f.error :photo %>
                                    </p>
                                    <%= f.submit 'Update', :class => 'mainBtn' %>
                                    <%= link_to 'Cancel', :back, :class => 'mainBtn' %>
                                </fieldset>
                            <% end %>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
